Download a file
GET
/system/file-explorer/download
const url = 'https://sylve.lan:8181/api/system/file-explorer/download?id=example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/system/file-explorer/download?id=example' \ --header 'Authorization: <Authorization>'Stream a regular file from an absolute system path with HTTP range support
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”id
required
string
Absolute path to the regular file
hash
string
SHA-256 token hash alternative to Bearer authentication
auth
string
Hex-encoded selected-node routing payload used by browser downloads
Responses
Section titled “Responses”File content
Media typeapplication/octet-stream
file
Partial file content
Media typeapplication/octet-stream
file
Invalid path or non-regular file
Media typeapplication/octet-stream
object
data
error
string
message
string
status
string
Unauthorized
Media typeapplication/octet-stream
object
data
error
string
message
string
status
string
Administrator access or filesystem permission required
Media typeapplication/octet-stream
object
data
error
string
message
string
status
string
File not found
Media typeapplication/octet-stream
object
data
error
string
message
string
status
string
Range Not Satisfiable
Media typeapplication/octet-stream
string
Unexpected filesystem failure
Media typeapplication/octet-stream
object
data
error
string
message
string
status
string